org.apache.cassandra.db.columniterator

## Class SimpleAbstractColumnIterator

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<T>
  - - com.google.common.collect.AbstractIterator<OnDiskAtom>
    - - org.apache.cassandra.db.columniterator.SimpleAbstractColumnIterator

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<OnDiskAtom>, OnDiskAtomIterator, CloseableIterator<OnDiskAtom>

    public abstract class SimpleAbstractColumnIterator
    extends com.google.common.collect.AbstractIterator<OnDiskAtom>
    implements OnDiskAtomIterator

### Constructor Summary

Constructors
Constructor and Description
`SimpleAbstractColumnIterator()`

### Method Summary

Methods
`void` `close()` clean up any open resources

### Methods inherited from class com.google.common.collect.AbstractIterator

`computeNext, endOfData, hasNext, next, peek`

### Methods inherited from class com.google.common.collect.UnmodifiableIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.columniterator.OnDiskAtomIterator

`getColumnFamily, getKey`

### Methods inherited from interface java.util.Iterator

`hasNext, next, remove`

### Constructor Detail

#### SimpleAbstractColumnIterator

    public SimpleAbstractColumnIterator()

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Description copied from interface: `OnDiskAtomIterator`
clean up any open resources

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `OnDiskAtomIterator`
Throws:
  `java.io.IOException`